Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeProMapper Class Reference

`#include <vtkVolumeProMapper.h>`

Inheritance diagram for vtkVolumeProMapper:

[legend]
Collaboration diagram for vtkVolumeProMapper:

[legend]
List of all members.

## Detailed Description

Superclass for VolumePRO volume rendering mappers.

Date:
  2002/08/29 14:51:35

Revision:
  1.31

vtkVolumeProMapper is the superclass for VolumePRO volume rendering mappers. Any functionality that is general across all VolumePRO implementations is placed here in this class. Subclasses of this class are for the specific board implementations. Subclasses of that are for underlying graphics languages. Users should not create subclasses directly - a vtkVolumeProMapper will automatically create the object of the right type.

If you do not have the VolumePRO libraries when building this object, then the New method will create a default renderer that will not render. You can check the NumberOfBoards ivar to see if it is a real rendering class. To build with the VolumePRO board see vtkVolumeProVG500Mapper.h or vtkVolumeProVP1000Mapper.h for instructions.

For more information on the VolumePRO hardware, please see:

http://www.terarecon.com/3d_products.shtml

If you encounter any problems with this class, please inform Kitware, Inc. at kitware@kitware.com.

See also:
  vtkVolumeMapper vtkVolumeProVG500Mapper vtkOpenGLVolumeProVG500Mapper vtkVolumeProVP1000Mapper vtkOpenGLVolumeProVP1000Mapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (65%)
  - Hoffman, Bill (22%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkVolumeProMapper.cxx)`
  - .`h` (`/Rendering/vtkVolumeProMapper.h)`

Definition at line 102 of file vtkVolumeProMapper.h.

## Public Types
typedef vtkVolumeMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Render (vtkRenderer *, vtkVolume *)
virtual void | SetBlendMode (int)
virtual int | GetBlendMode ()
void | SetBlendModeToComposite ()
void | SetBlendModeToMaximumIntensity ()
void | SetBlendModeToMinimumIntensity ()
const char * | GetBlendModeAsString (void)
virtual void | SetSubVolume (int, int, int, int, int, int)
virtual void | SetSubVolume (int[6])
virtual int * | GetSubVolume ()
virtual void | GetSubVolume (int data[6])
virtual void | SetCursor (int)
virtual int | GetCursor ()
virtual void | CursorOn ()
virtual void | CursorOff ()
virtual void | SetCursorType (int)
virtual int | GetCursorType ()
void | SetCursorTypeToCrossHair ()
void | SetCursorTypeToPlane ()
const char * | GetCursorTypeAsString (void)
virtual void | SetCursorPosition (double, double, double)
virtual void | SetCursorPosition (double[3])
virtual double * | GetCursorPosition ()
virtual void | GetCursorPosition (double data[3])
virtual void | SetCursorXAxisColor (double, double, double)
virtual void | SetCursorXAxisColor (double[3])
virtual double * | GetCursorXAxisColor ()
virtual void | GetCursorXAxisColor (double data[3])
virtual void | SetCursorYAxisColor (double, double, double)
virtual void | SetCursorYAxisColor (double[3])
virtual double * | GetCursorYAxisColor ()
virtual void | GetCursorYAxisColor (double data[3])
virtual void | SetCursorZAxisColor (double, double, double)
virtual void | SetCursorZAxisColor (double[3])
virtual double * | GetCursorZAxisColor ()
virtual void | GetCursorZAxisColor (double data[3])
virtual void | SetSuperSampling (int)
virtual int | GetSuperSampling ()
virtual void | SuperSamplingOn ()
virtual void | SuperSamplingOff ()
void | SetSuperSamplingFactor (double x, double y, double z)
void | SetSuperSamplingFactor (double f[3])
virtual double * | GetSuperSamplingFactor ()
virtual void | GetSuperSamplingFactor (double data[3])
virtual void | SetCutPlane (int)
virtual int | GetCutPlane ()
virtual void | CutPlaneOn ()
virtual void | CutPlaneOff ()
virtual void | SetCutPlaneEquation (double, double, double, double)
virtual void | SetCutPlaneEquation (double[4])
virtual double * | GetCutPlaneEquation ()
virtual void | GetCutPlaneEquation (double data[4])
virtual void | SetCutPlaneThickness (double)
virtual double | GetCutPlaneThickness ()
virtual void | SetCutPlaneFallOffDistance (int)
virtual int | GetCutPlaneFallOffDistance ()
virtual void | SetGradientOpacityModulation (int)
virtual int | GetGradientOpacityModulation ()
virtual void | GradientOpacityModulationOn ()
virtual void | GradientOpacityModulationOff ()
virtual void | SetGradientDiffuseModulation (int)
virtual int | GetGradientDiffuseModulation ()
virtual void | GradientDiffuseModulationOn ()
virtual void | GradientDiffuseModulationOff ()
virtual void | SetGradientSpecularModulation (int)
virtual int | GetGradientSpecularModulation ()
virtual void | GradientSpecularModulationOn ()
virtual void | GradientSpecularModulationOff ()
virtual int | GetNoHardware ()
virtual int | GetWrongVLIVersion ()
virtual int | GetNumberOfBoards ()
virtual int | GetMajorBoardVersion ()
virtual int | GetMinorBoardVersion ()
virtual int | GetAvailableBoardMemory ()
virtual void | GetLockSizesForBoardMemory (unsigned int vtkNotUsed(type), unsigned int *vtkNotUsed(xSize), unsigned int *vtkNotUsed(ySize), unsigned int *vtkNotUsed(zSize))
virtual void | SetIntermixIntersectingGeometry (int)
virtual int | GetIntermixIntersectingGeometry ()
virtual void | IntermixIntersectingGeometryOn ()
virtual void | IntermixIntersectingGeometryOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolumeProMapper * | SafeDownCast (vtkObject *o)
vtkVolumeProMapper * | New ()
## Protected Methods
| vtkVolumeProMapper ()
| ~vtkVolumeProMapper ()
int | StatusOK ()
## Protected Attributes
VLIContext * | Context
VLIVolume * | Volume
vtkImageData * | VolumeInput
vtkTimeStamp * | VolumeBuildTime
int | VolumeDataType
VLILookupTable * | LookupTable
int | BlendMode
VLILight ** | Lights
int | NumberOfLights
int | SubVolume [6]
int | Cursor
int | CursorType
double | CursorPosition [3]
double | CursorXAxisColor [3]
double | CursorYAxisColor [3]
double | CursorZAxisColor [3]
int | CutPlane
VLICutPlane * | Cut
double | CutPlaneEquation [4]
double | CutPlaneThickness
int | CutPlaneFallOffDistance
int | SuperSampling
double | SuperSamplingFactor [3]
int | GradientOpacityModulation
int | GradientDiffuseModulation
int | GradientSpecularModulation
int | NumberOfBoards
int | MajorBoardVersion
int | MinorBoardVersion
int | GradientTableSize
int | NoHardware
int | WrongVLIVersion
int | DisplayedMessage
int | IntermixIntersectingGeometry

## Member Typedef Documentation

typedef vtkVolumeMapper vtkVolumeProMapper::Superclass

| Reimplemented from vtkVolumeMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkVolumeProVG500Mapper, and vtkVolumeProVP1000Mapper. Definition at line 105 of file vtkVolumeProMapper.h.

## Constructor & Destructor Documentation

vtkVolumeProMapper::vtkVolumeProMapper | ( |  | ) | `[protected]`

vtkVolumeProMapper::~vtkVolumeProMapper | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolumeProMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkVolumeProVG500Mapper, and vtkVolumeProVP1000Mapper.

int vtkVolumeProMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkVolumeProVG500Mapper, and vtkVolumeProVP1000Mapper.

virtual int vtkVolumeProMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkVolumeProVG500Mapper, and vtkVolumeProVP1000Mapper.

vtkVolumeProMapper* vtkVolumeProMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkVolumeProVG500Mapper, and vtkVolumeProVP1000Mapper.

void vtkVolumeProMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkVolumeProVG500Mapper, and vtkVolumeProVP1000Mapper.

vtkVolumeProMapper* vtkVolumeProMapper::New | ( |  | ) | `[static]`

| Automatically create the proper subclass Reimplemented from vtkObject. Reimplemented in vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkVolumeProVG500Mapper, and vtkVolumeProVP1000Mapper.

virtual void vtkVolumeProMapper::Render | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[inline, virtual]`

| Render the image using the hardware and place it in the frame buffer Implements vtkVolumeMapper. Reimplemented in vtkVolumeProVG500Mapper, and vtkVolumeProVP1000Mapper. Definition at line 112 of file vtkVolumeProMapper.h.

virtual void vtkVolumeProMapper::SetBlendMode | ( | int |  | ) | `[virtual]`

| Set the blend mode

virtual int vtkVolumeProMapper::GetBlendMode | ( |  | ) | `[virtual]`

| Set the blend mode

void vtkVolumeProMapper::SetBlendModeToComposite | ( |  | ) | `[inline]`

| Set the blend mode Definition at line 119 of file vtkVolumeProMapper.h. References VTK_BLEND_MODE_COMPOSITE.

void vtkVolumeProMapper::SetBlendModeToMaximumIntensity | ( |  | ) | `[inline]`

| Set the blend mode Definition at line 121 of file vtkVolumeProMapper.h. References VTK_BLEND_MODE_MAX_INTENSITY.

void vtkVolumeProMapper::SetBlendModeToMinimumIntensity | ( |  | ) | `[inline]`

| Set the blend mode Definition at line 123 of file vtkVolumeProMapper.h. References VTK_BLEND_MODE_MIN_INTENSITY.

const char * vtkVolumeProMapper::GetBlendModeAsString | ( | void |  | ) | `[inline]`

| Get the blending mode as a descriptive string Definition at line 340 of file vtkVolumeProMapper.h. References BlendMode, VTK_BLEND_MODE_COMPOSITE, VTK_BLEND_MODE_MAX_INTENSITY, and VTK_BLEND_MODE_MIN_INTENSITY.

virtual void vtkVolumeProMapper::SetSubVolume | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set the subvolume

virtual void vtkVolumeProMapper::SetSubVolume | ( | int | [6] | ) | `[virtual]`

| Set the subvolume

virtual int* vtkVolumeProMapper::GetSubVolume | ( |  | ) | `[virtual]`

| Set the subvolume

virtual void vtkVolumeProMapper::GetSubVolume | ( | int | data[6] | ) | `[virtual]`

| Set the subvolume

virtual void vtkVolumeProMapper::SetCursor | ( | int |  | ) | `[virtual]`

| Turn the cursor on / off

virtual int vtkVolumeProMapper::GetCursor | ( |  | ) | `[virtual]`

| Turn the cursor on / off

virtual void vtkVolumeProMapper::CursorOn | ( |  | ) | `[virtual]`

| Turn the cursor on / off

virtual void vtkVolumeProMapper::CursorOff | ( |  | ) | `[virtual]`

| Turn the cursor on / off

virtual void vtkVolumeProMapper::SetCursorType | ( | int |  | ) | `[virtual]`

| Set the type of the cursor

virtual int vtkVolumeProMapper::GetCursorType | ( |  | ) | `[virtual]`

| Set the type of the cursor

void vtkVolumeProMapper::SetCursorTypeToCrossHair | ( |  | ) | `[inline]`

| Set the type of the cursor Definition at line 146 of file vtkVolumeProMapper.h. References VTK_CURSOR_TYPE_CROSSHAIR.

void vtkVolumeProMapper::SetCursorTypeToPlane | ( |  | ) | `[inline]`

| Set the type of the cursor Definition at line 148 of file vtkVolumeProMapper.h. References VTK_CURSOR_TYPE_PLANE.

const char * vtkVolumeProMapper::GetCursorTypeAsString | ( | void |  | ) | `[inline]`

| Get the cursor type as a descriptive string Definition at line 356 of file vtkVolumeProMapper.h. References CursorType, VTK_CURSOR_TYPE_CROSSHAIR, and VTK_CURSOR_TYPE_PLANE.

virtual void vtkVolumeProMapper::SetCursorPosition | ( | double | ,
|  | double | ,
|  | double |
| ) | `[virtual]`

| Set/Get the cursor position

virtual void vtkVolumeProMapper::SetCursorPosition | ( | double | [3] | ) | `[virtual]`

| Set/Get the cursor position

virtual double* vtkVolumeProMapper::GetCursorPosition | ( |  | ) | `[virtual]`

| Set/Get the cursor position

virtual void vtkVolumeProMapper::GetCursorPosition | ( | double | data[3] | ) | `[virtual]`

| Set/Get the cursor position

virtual void vtkVolumeProMapper::SetCursorXAxisColor | ( | double | ,
|  | double | ,
|  | double |
| ) | `[virtual]`

| Set/Get the cursor color

virtual void vtkVolumeProMapper::SetCursorXAxisColor | ( | double | [3] | ) | `[virtual]`

| Set/Get the cursor color

virtual double* vtkVolumeProMapper::GetCursorXAxisColor | ( |  | ) | `[virtual]`

| Set/Get the cursor color

virtual void vtkVolumeProMapper::GetCursorXAxisColor | ( | double | data[3] | ) | `[virtual]`

| Set/Get the cursor color

virtual void vtkVolumeProMapper::SetCursorYAxisColor | ( | double | ,
|  | double | ,
|  | double |
| ) | `[virtual]`

| Set/Get the cursor color

virtual void vtkVolumeProMapper::SetCursorYAxisColor | ( | double | [3] | ) | `[virtual]`

| Set/Get the cursor color

virtual double* vtkVolumeProMapper::GetCursorYAxisColor | ( |  | ) | `[virtual]`

| Set/Get the cursor color

virtual void vtkVolumeProMapper::GetCursorYAxisColor | ( | double | data[3] | ) | `[virtual]`

| Set/Get the cursor color

virtual void vtkVolumeProMapper::SetCursorZAxisColor | ( | double | ,
|  | double | ,
|  | double |
| ) | `[virtual]`

| Set/Get the cursor color

virtual void vtkVolumeProMapper::SetCursorZAxisColor | ( | double | [3] | ) | `[virtual]`

| Set/Get the cursor color

virtual double* vtkVolumeProMapper::GetCursorZAxisColor | ( |  | ) | `[virtual]`

| Set/Get the cursor color

virtual void vtkVolumeProMapper::GetCursorZAxisColor | ( | double | data[3] | ) | `[virtual]`

| Set/Get the cursor color

virtual void vtkVolumeProMapper::SetSuperSampling | ( | int |  | ) | `[virtual]`

| Turn supersampling on/off

virtual int vtkVolumeProMapper::GetSuperSampling | ( |  | ) | `[virtual]`

| Turn supersampling on/off

virtual void vtkVolumeProMapper::SuperSamplingOn | ( |  | ) | `[virtual]`

| Turn supersampling on/off

virtual void vtkVolumeProMapper::SuperSamplingOff | ( |  | ) | `[virtual]`

| Turn supersampling on/off

void vtkVolumeProMapper::SetSuperSamplingFactor | ( | double | x,
|  | double | y,
|  | double | z
| ) |

| Set the supersampling factors

void vtkVolumeProMapper::SetSuperSamplingFactor | ( | double | f[3] | ) | `[inline]`

| Set the supersampling factors Definition at line 179 of file vtkVolumeProMapper.h.

virtual double* vtkVolumeProMapper::GetSuperSamplingFactor | ( |  | ) | `[virtual]`

| Set the supersampling factors

virtual void vtkVolumeProMapper::GetSuperSamplingFactor | ( | double | data[3] | ) | `[virtual]`

| Set the supersampling factors

virtual void vtkVolumeProMapper::SetCutPlane | ( | int |  | ) | `[virtual]`

| Turn on / off the cut plane

virtual int vtkVolumeProMapper::GetCutPlane | ( |  | ) | `[virtual]`

| Turn on / off the cut plane

virtual void vtkVolumeProMapper::CutPlaneOn | ( |  | ) | `[virtual]`

| Turn on / off the cut plane

virtual void vtkVolumeProMapper::CutPlaneOff | ( |  | ) | `[virtual]`

| Turn on / off the cut plane

virtual void vtkVolumeProMapper::SetCutPlaneEquation | ( | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) | `[virtual]`

| Set/Get the cut plane equation

virtual void vtkVolumeProMapper::SetCutPlaneEquation | ( | double | [4] | ) | `[virtual]`

| Set/Get the cut plane equation

virtual double* vtkVolumeProMapper::GetCutPlaneEquation | ( |  | ) | `[virtual]`

| Set/Get the cut plane equation

virtual void vtkVolumeProMapper::GetCutPlaneEquation | ( | double | data[4] | ) | `[virtual]`

| Set/Get the cut plane equation

virtual void vtkVolumeProMapper::SetCutPlaneThickness | ( | double |  | ) | `[virtual]`

| Set / Get the cut plane thickness

virtual double vtkVolumeProMapper::GetCutPlaneThickness | ( |  | ) | `[virtual]`

| Set / Get the cut plane thickness

virtual void vtkVolumeProMapper::SetCutPlaneFallOffDistance | ( | int |  | ) | `[virtual]`

| Set / Get the cut plane falloff value for intensities

virtual int vtkVolumeProMapper::GetCutPlaneFallOffDistance | ( |  | ) | `[virtual]`

| Set / Get the cut plane falloff value for intensities

virtual void vtkVolumeProMapper::SetGradientOpacityModulation | ( | int |  | ) | `[virtual]`

| Set/Get the gradient magnitude opacity modulation

virtual int vtkVolumeProMapper::GetGradientOpacityModulation | ( |  | ) | `[virtual]`

| Set/Get the gradient magnitude opacity modulation

virtual void vtkVolumeProMapper::GradientOpacityModulationOn | ( |  | ) | `[virtual]`

| Set/Get the gradient magnitude opacity modulation

virtual void vtkVolumeProMapper::GradientOpacityModulationOff | ( |  | ) | `[virtual]`

| Set/Get the gradient magnitude opacity modulation

virtual void vtkVolumeProMapper::SetGradientDiffuseModulation | ( | int |  | ) | `[virtual]`

| Set/Get the gradient magnitude diffuse modulation

virtual int vtkVolumeProMapper::GetGradientDiffuseModulation | ( |  | ) | `[virtual]`

| Set/Get the gradient magnitude diffuse modulation

virtual void vtkVolumeProMapper::GradientDiffuseModulationOn | ( |  | ) | `[virtual]`

| Set/Get the gradient magnitude diffuse modulation

virtual void vtkVolumeProMapper::GradientDiffuseModulationOff | ( |  | ) | `[virtual]`

| Set/Get the gradient magnitude diffuse modulation

virtual void vtkVolumeProMapper::SetGradientSpecularModulation | ( | int |  | ) | `[virtual]`

| Set/Get the gradient magnitude specular modulation

virtual int vtkVolumeProMapper::GetGradientSpecularModulation | ( |  | ) | `[virtual]`

| Set/Get the gradient magnitude specular modulation

virtual void vtkVolumeProMapper::GradientSpecularModulationOn | ( |  | ) | `[virtual]`

| Set/Get the gradient magnitude specular modulation

virtual void vtkVolumeProMapper::GradientSpecularModulationOff | ( |  | ) | `[virtual]`

| Set/Get the gradient magnitude specular modulation

virtual int vtkVolumeProMapper::GetNoHardware | ( |  | ) | `[virtual]`

| Conveniece methods for debugging

virtual int vtkVolumeProMapper::GetWrongVLIVersion | ( |  | ) | `[virtual]`

| Conveniece methods for debugging

virtual int vtkVolumeProMapper::GetNumberOfBoards | ( |  | ) | `[virtual]`

| Access methods for some board info

virtual int vtkVolumeProMapper::GetMajorBoardVersion | ( |  | ) | `[virtual]`

| Access methods for some board info

virtual int vtkVolumeProMapper::GetMinorBoardVersion | ( |  | ) | `[virtual]`

| Access methods for some board info

virtual int vtkVolumeProMapper::GetAvailableBoardMemory | ( |  | ) | `[inline, virtual]`

| Access methods for some board info Reimplemented in vtkVolumeProVG500Mapper, and vtkVolumeProVP1000Mapper. Definition at line 241 of file vtkVolumeProMapper.h.

virtual void vtkVolumeProMapper::GetLockSizesForBoardMemory | ( | unsigned int | vtkNotUsed(type),
|  | unsigned int * | vtkNotUsed(xSize),
|  | unsigned int * | vtkNotUsed(ySize),
|  | unsigned int * | vtkNotUsed(zSize)
| ) | `[inline, virtual]`

| Access methods for some board info Definition at line 242 of file vtkVolumeProMapper.h.

virtual void vtkVolumeProMapper::SetIntermixIntersectingGeometry | ( | int |  | ) | `[virtual]`

| Specify whether any geometry intersects the volume. Does nothing with VG500

virtual int vtkVolumeProMapper::GetIntermixIntersectingGeometry | ( |  | ) | `[virtual]`

| Specify whether any geometry intersects the volume. Does nothing with VG500

virtual void vtkVolumeProMapper::IntermixIntersectingGeometryOn | ( |  | ) | `[virtual]`

| Specify whether any geometry intersects the volume. Does nothing with VG500

virtual void vtkVolumeProMapper::IntermixIntersectingGeometryOff | ( |  | ) | `[virtual]`

| Specify whether any geometry intersects the volume. Does nothing with VG500

int vtkVolumeProMapper::StatusOK | ( |  | ) | `[protected]`

## Member Data Documentation

VLIContext* vtkVolumeProMapper::Context`[protected]`

| Definition at line 263 of file vtkVolumeProMapper.h.

VLIVolume* vtkVolumeProMapper::Volume`[protected]`

| Definition at line 267 of file vtkVolumeProMapper.h.

vtkImageData* vtkVolumeProMapper::VolumeInput`[protected]`

| Definition at line 268 of file vtkVolumeProMapper.h.

vtkTimeStamp* vtkVolumeProMapper::VolumeBuildTime`[protected]`

| Definition at line 269 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::VolumeDataType`[protected]`

| Definition at line 272 of file vtkVolumeProMapper.h.

VLILookupTable* vtkVolumeProMapper::LookupTable`[protected]`

| Definition at line 276 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::BlendMode`[protected]`

| Definition at line 279 of file vtkVolumeProMapper.h. Referenced by GetBlendModeAsString().

VLILight** vtkVolumeProMapper::Lights`[protected]`

| Definition at line 283 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::NumberOfLights`[protected]`

| Definition at line 284 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::SubVolume[6]`[protected]`

| Definition at line 287 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::Cursor`[protected]`

| Definition at line 290 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::CursorType`[protected]`

| Definition at line 291 of file vtkVolumeProMapper.h. Referenced by GetCursorTypeAsString().

double vtkVolumeProMapper::CursorPosition[3]`[protected]`

| Definition at line 292 of file vtkVolumeProMapper.h.

double vtkVolumeProMapper::CursorXAxisColor[3]`[protected]`

| Definition at line 293 of file vtkVolumeProMapper.h.

double vtkVolumeProMapper::CursorYAxisColor[3]`[protected]`

| Definition at line 294 of file vtkVolumeProMapper.h.

double vtkVolumeProMapper::CursorZAxisColor[3]`[protected]`

| Definition at line 295 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::CutPlane`[protected]`

| Definition at line 298 of file vtkVolumeProMapper.h.

VLICutPlane* vtkVolumeProMapper::Cut`[protected]`

| Definition at line 299 of file vtkVolumeProMapper.h.

double vtkVolumeProMapper::CutPlaneEquation[4]`[protected]`

| Definition at line 300 of file vtkVolumeProMapper.h.

double vtkVolumeProMapper::CutPlaneThickness`[protected]`

| Definition at line 301 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::CutPlaneFallOffDistance`[protected]`

| Definition at line 302 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::SuperSampling`[protected]`

| Definition at line 305 of file vtkVolumeProMapper.h.

double vtkVolumeProMapper::SuperSamplingFactor[3]`[protected]`

| Definition at line 306 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::GradientOpacityModulation`[protected]`

| Definition at line 309 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::GradientDiffuseModulation`[protected]`

| Definition at line 310 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::GradientSpecularModulation`[protected]`

| Definition at line 311 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::NumberOfBoards`[protected]`

| Definition at line 314 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::MajorBoardVersion`[protected]`

| Definition at line 315 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::MinorBoardVersion`[protected]`

| Definition at line 316 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::GradientTableSize`[protected]`

| Definition at line 317 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::NoHardware`[protected]`

| Definition at line 320 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::WrongVLIVersion`[protected]`

| Definition at line 321 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::DisplayedMessage`[protected]`

| Definition at line 322 of file vtkVolumeProMapper.h.

int vtkVolumeProMapper::IntermixIntersectingGeometry`[protected]`

| Definition at line 325 of file vtkVolumeProMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeProMapper.h